Skip to main content
GET
/
api
/
v1
/
school
/
class-teacher-comments
/
{id}
Get teacher comments
curl --request GET \
  --url https://test-api.afrainity.com/api/v1/school/class-teacher-comments/{id}/ \
  --header 'Authorization: Bearer <token>'
{
  "min_mark": 50,
  "max_mark": 50,
  "class_teacher_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "is_deleted": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "comment": "<string>",
  "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

A UUID string identifying this class teacher comment.

Response

200 - application/json

Auto-populate created_by from request.user when available.

min_mark
integer
required
Required range: 0 <= x <= 100
max_mark
integer
required
Required range: 0 <= x <= 100
class_teacher_id
string<uuid>
required
id
string<uuid>
is_deleted
boolean
created_at
string<date-time>
updated_at
string<date-time>
comment
string | null
created_by
string<uuid> | null